<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */
Route::get('/', 'IndexController@index')->name('index');
Route::post('search', 'IndexController@search')->name('search');

Route::get('articles/{category}/index', 'ArticleController@index')->name('article.index');
Route::get('articles/{article}', 'ArticleController@show')->name('article.show');

Route::get('category/{category}', 'CategoryController@show')->name('category.show');

Route::resource('leader', 'LeaderController');
Route::resource('staff', 'StaffController');

Route::get('sitemapstore', 'SitemapController@store');

//以下为导入数据
Route::get('test/set_article_category', 'TestController@set_article_category');
Route::get('test/set_category', 'TestController@set_category');
Route::get('test/set_article', 'TestController@set_article');
Route::get('test/set_cate_article', 'TestController@setCateArticle');
Route::get('test/check_article', 'TestController@checkArticle');
